Bug 1636777 (CVE-2018-17963) - CVE-2018-17963 QEMU: net: ignore packets with large size
Summary: CVE-2018-17963 QEMU: net: ignore packets with large size
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-17963
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1636783 1636778 1636779 1636780 1636781 1636782 1636784 1636785 1636786 1636787 1636788 1636789 1636790
Blocks: 1581014
TreeView+ depends on / blocked
 
Reported: 2018-10-07 15:51 UTC by Prasad J Pandit
Modified: 2019-09-29 15:00 UTC (History)
32 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A potential integer overflow issue was found in the networking back-end of QEMU. It could occur while receiving packets, because it accepted packets with large size value. Such overflow could lead to OOB buffer access issue. A user inside guest could use this flaw to crash the QEMU process resulting in DoS.
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2513 None None None 2019-08-15 18:37:32 UTC
Red Hat Product Errata RHSA-2019:2166 None None None 2019-08-06 12:23:24 UTC
Red Hat Product Errata RHSA-2019:2425 None None None 2019-08-09 00:48:28 UTC
Red Hat Product Errata RHSA-2019:2553 None None None 2019-08-22 09:18:29 UTC

Description Prasad J Pandit 2018-10-07 15:51:22 UTC
A potential integer overflow issue was found in the QEMU emulator. It could occur when a packet with large packet size is accepted and processed.
A user inside guest could use this flaw to crash the Qemu process resulting in DoS.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-09/msg03267.html
  -> https://git.qemu.org/?p=qemu.git;a=commit;h=25c01bd19d0e4b66f357618aeefda1ef7a41e21a

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2018/10/08/1

Comment 1 Prasad J Pandit 2018-10-07 15:51:25 UTC
Acknowledgments:

Name: Daniel Shapira (Twistlock)

Comment 2 Prasad J Pandit 2018-10-07 15:59:21 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1636782]


Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1636783]

Comment 4 errata-xmlrpc 2019-08-06 12:23:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2166 https://access.redhat.com/errata/RHSA-2019:2166

Comment 5 Product Security DevOps Team 2019-08-06 13:19:58 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-17963

Comment 6 errata-xmlrpc 2019-08-09 00:48:26 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 13.0 (Queens)
  Red Hat OpenStack Platform 14.0 (Rocky)

Via RHSA-2019:2425 https://access.redhat.com/errata/RHSA-2019:2425

Comment 7 errata-xmlrpc 2019-08-22 09:18:27 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7
  Red Hat Virtualization Engine 4.3

Via RHSA-2019:2553 https://access.redhat.com/errata/RHSA-2019:2553


Note You need to log in before you can comment on or make changes to this bug.